0

Anyone able to install the latest 'speedtest-cli' ( v2.1.3) in their pfsense box to overcome error;

ValueError: invalid literal for int() with base 10: ''

Apparently something changed upstream and there has been a v2.1.3 ( https://github.com/sivel/speedtest-cli/pull/769 ) released to fix this bug ...

I tried ( as recommended at their main page ) in my pfsense 2.5.0 box ;

cd /usr/local/bin
curl -Lo speedtest-cli https://raw.githubusercontent.com/sivel/speedtest-cli/master/speedtest.py
chmod +x speedtest-cli

But I only got the error below ;

env: python: No such file or directory

Note 1: Current version is 2.1.2 which is installed via

pkg install -y py37-speedtest-cli

   New packages to be INSTALLED:
   py37-speedtest-cli: 2.1.2 [pfSense]

Note 2: Installing v 2.1.3 in an OpenSuse 15.x box is flawless

speedtest-cli --version

  speedtest-cli 2.1.3
  Python 2.7.17 (default, Jan 24 2020, 15:33:58) [GCC]

Note 3: I am also unable to open a ticket at their github page to enquire further

  https://github.com/sivel/speedtest-cli

1 Answer 1

0

For those with pfsense 2.5, I found this to work:

pkg install -y py38-speedtest-cli

Python version seems to have changed to 3.8.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.